package com.ogzhnozdmr.jsonvolley;

import android.content.Context;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;

import com.android.volley.Request;
import com.android.volley.RequestQueue;
import com.android.volley.Response;
import com.android.volley.VolleyError;
import com.android.volley.toolbox.JsonObjectRequest;
import com.android.volley.toolbox.Volley;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity {

    //Sorgu kuyruğu adında sorgumuzu çalıştıracak bir RequestQueue oluşturuyoruz.
    RequestQueue queue;
    //Yazılarımızın başlıklarını dolduracağımız bir List yapıyoruz.
    ArrayList<String> yaziBasliklari;
    //Web servis linkimiz.
    String URL = "http://www.oguzhanozdemir.com.tr/ogzhnozdmrcom/site/json_yazilar";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Yazilarim();
    }

    public void Yazilarim(){
        //Öncelikle Volley içerisinden bir sorgu oluşturmasını istiyoruz.
        // Ve bu sorgu hangi context içerisinde kullanılacak bilgisini içerisinde gösteriyoruz.
        queue = Volley.newRequestQueue(MainActivity.this);
        //Verileri tutacağımız arraylistimizi oluşturduk.
        yaziBasliklari = new ArrayList<>();
        //Sorgunun gerçekleştiğinde yapacağı işlemleri yapalım.
        JsonObjectRequest getYaziRequest = new JsonObjectRequest(Request.Method.GET, URL, null,
                new Response.Listener<JSONObject>()
                {
                    @Override
                    public void onResponse(JSONObject response) {
                        try {
                            JSONArray arrYazilar= response.getJSONArray("yazilar");
                            for (int i = 0; i < arrYazilar.length(); i++){
                                JSONObject yazi = arrYazilar.getJSONObject(i);
                                String baslik = yazi.getString("post_title");
                                Log.d("YAZI BAŞLIK:",baslik);
                                yaziBasliklari.add(baslik);
                            }
                        } catch (JSONException e) {
                            e.printStackTrace();
                        }
                    }
                },
                new Response.ErrorListener()
                {
                    @Override
                    public void onErrorResponse(VolleyError error) {
                        Log.d("Error.Response", error.getMessage());
                    }
                }
        );
        //Sorgu kuyruğuna gerçekleştirilmek üzere sorgumuzu veriyoruz.
        //Ve request işşlemi başlıyor.
        queue.add(getYaziRequest);
    }
}
